Delete recipients from a recipient list
1 min
DELETE
https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}
clientIdinteger<int64>Client ID
recipientListIdinteger<int64>Recipient list ID
recipientIdsarray<p>Comma-separated list of recipient IDs. Cannot be combined with 'removalType' parameter.</p>
removalTypestringSpecifies the recipients to be removed. Cannot be combined with 'recipientIds' parameter.
mediaTypestring<p>Filter recipients for a given type (can only be used with 'removalType' parameter)</p>
204The deletion was initiated successfully.
400The parameters "recipientIds" and "removalType" were added simultaneously. Provide either "recipientIds" or "removalType" parameter.
curl --request DELETE \
--url https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId} \
--header 'accept: application/json'